1.0 release does not have pem file in MANIFEST

Bug #486699 reported by Thomas Vander Stichele on 2009-11-22
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu One storage protocol
High
dobey

Bug Description

python bdist_rpm fails because the two .pem files are not listed in MANIFEST.

Related branches

Neither did it have the two generated _pb2.py files.

dobey (dobey) on 2009-11-22
Changed in ubuntuone-storage-protocol:
assignee: nobody → Rodney Dawes (dobey)
status: New → Triaged
dobey (dobey) wrote :

This seems like an issue with bdist_rpm probably? I looked into it, and the files are listed in MANIFEST.in (as below), which MANIFEST should be getting partially generated from. Does bdist_rpm not run build first? The generated *_pb2.py files should be automatically included as they end in .py and are in the module path listed in setup.py.

recursive-include data *.pem

Download full text (14.5 KiB)

So here's the full output:

[thomas@otto ubuntuone-storage-protocol-1.0.0]$ python setup.py bdist_rpm
running bdist_rpm
writing 'build/bdist.linux-i686/rpm/SPECS/ubuntuone-storage-protocol.spec'
running sdist
warning: sdist: missing required meta-data: url
warning: sdist: missing meta-data: either (author and author_email) or (maintainer and maintainer_email) must be supplied
reading manifest file 'MANIFEST'
creating ubuntuone-storage-protocol-1.0.0
creating ubuntuone-storage-protocol-1.0.0/ubuntuone
creating ubuntuone-storage-protocol-1.0.0/ubuntuone/storageprotocol
making hard links in ubuntuone-storage-protocol-1.0.0...
hard linking README -> ubuntuone-storage-protocol-1.0.0
hard linking setup.cfg -> ubuntuone-storage-protocol-1.0.0
hard linking setup.py -> ubuntuone-storage-protocol-1.0.0
hard linking ubuntuone/__init__.py -> ubuntuone-storage-protocol-1.0.0/ubuntuone
hard linking ubuntuone/storageprotocol/__init__.py -> ubuntuone-storage-protocol-1.0.0/ubuntuone/storageprotocol
hard linking ubuntuone/storageprotocol/client.py -> ubuntuone-storage-protocol-1.0.0/ubuntuone/storageprotocol
hard linking ubuntuone/storageprotocol/context.py -> ubuntuone-storage-protocol-1.0.0/ubuntuone/storageprotocol
hard linking ubuntuone/storageprotocol/dircontent.py -> ubuntuone-storage-protocol-1.0.0/ubuntuone/storageprotocol
hard linking ubuntuone/storageprotocol/hash.py -> ubuntuone-storage-protocol-1.0.0/ubuntuone/storageprotocol
hard linking ubuntuone/storageprotocol/proxy_tunnel.py -> ubuntuone-storage-protocol-1.0.0/ubuntuone/storageprotocol
hard linking ubuntuone/storageprotocol/request.py -> ubuntuone-storage-protocol-1.0.0/ubuntuone/storageprotocol
hard linking ubuntuone/storageprotocol/sharersp.py -> ubuntuone-storage-protocol-1.0.0/ubuntuone/storageprotocol
hard linking ubuntuone/storageprotocol/validators.py -> ubuntuone-storage-protocol-1.0.0/ubuntuone/storageprotocol
tar -cf dist/ubuntuone-storage-protocol-1.0.0.tar ubuntuone-storage-protocol-1.0.0
gzip -f9 dist/ubuntuone-storage-protocol-1.0.0.tar
removing 'ubuntuone-storage-protocol-1.0.0' (and everything under it)
copying dist/ubuntuone-storage-protocol-1.0.0.tar.gz -> build/bdist.linux-i686/rpm/SOURCES
building RPMs
rpmbuild -ba --define _topdir /home/thomas/prefix/src/ubuntuone-storage-protocol-1.0.0/build/bdist.linux-i686/rpm --clean build/bdist.linux-i686/rpm/SPECS/ubuntuone-storage-protocol.spec
Executing(%prep): /bin/sh -e /var/tmp/rpm-tmp.uzMplI
+ umask 022
+ cd /home/thomas/prefix/src/ubuntuone-storage-protocol-1.0.0/build/bdist.linux-i686/rpm/BUILD
+ LANG=C
+ export LANG
+ unset DISPLAY
+ cd /home/thomas/prefix/src/ubuntuone-storage-protocol-1.0.0/build/bdist.linux-i686/rpm/BUILD
+ rm -rf ubuntuone-storage-protocol-1.0.0
+ /usr/bin/gzip -dc /home/thomas/prefix/src/ubuntuone-storage-protocol-1.0.0/build/bdist.linux-i686/rpm/SOURCES/ubuntuone-storage-protocol-1.0.0.tar.gz
+ /bin/tar -xvvf -
drwxrwxr-x thomas/thomas 0 2009-11-23 21:33 ubuntuone-storage-protocol-1.0.0/
drwxrwxr-x thomas/thomas 0 2009-11-23 21:33 ubuntuone-storage-protocol-1.0.0/ubuntuone/
-rw-r--r-- thomas/thomas 695 2009-10-12 16:24 ubuntuone-storage-protocol-1.0.0/ubuntuone/__init__.py
drwxrwxr-x thomas/...

dobey (dobey) wrote :

So it looks like that perhaps there was a bug in the version of python in Karmic at the time I released 1.0.0. I just did a test sdist again on an up-to-date Karmic (which has python 2.6.4 now), and the pem files are listed in the generated MANIFEST now, as well as some other files that were missing before (as compared to the MANIFEST you pasted).

The *_pb2.py files are still not listed in the MANIFEST, but do seem to get included in the resulting tarball from bdist_dumb. Does that sound correct and would mean bdist_rpm should work as well? Thanks for poking at this!

dobey (dobey) on 2009-11-24
Changed in ubuntuone-storage-protocol:
status: Triaged → In Progress
importance: Undecided → High
dobey (dobey) on 2009-11-24
Changed in ubuntuone-storage-protocol:
milestone: none → 1.0.1
dobey (dobey) on 2009-12-08
Changed in ubuntuone-storage-protocol:
milestone: 1.0.1 → none
dobey (dobey) on 2010-06-29
Changed in ubuntuone-storage-protocol:
status: In Progress → Fix Committed
dobey (dobey) on 2010-08-26
Changed in ubuntuone-storage-protocol:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers